Bug 55321 - wvDial should allow dial up accounts with blank passwords
Summary: wvDial should allow dial up accounts with blank passwords
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wvdial   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-29 17:35 UTC by Mark Levitt
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version: system-config-network-1.3.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 13:12:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Levitt 2001-10-29 17:35:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When configuring a dial-up account, wvDial (and the Redhat Dial-up 
configuration tool) does not allow an account without a password.

However, some UK ISPs do not require a password. For example WHSmith's 
login requires "WHSmith" and no password. 

Becuase wvDial refuses to dial an entry without a password, it is not 
possible to connect to WHSmith with wvdial.

KPPP does allow a blank password.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a new dial-up account leaving the password blank.
GUI refuses to accept a blank password. 
2. Add a password to satisfy GUI.
3. Edit the entry to remove the password
4. Click dial



	

Actual Results:  wvdial stops with an error about a blank password

Expected Results:  wvdial (and the GUI) should allow a blank password

Additional info:

Works with kPPP. i.e., kPPP allows you to leave the password field blank.

Comment 1 Harald Hoyer 2005-09-16 13:12:57 UTC
The new GUI system-config-network should work.


Note You need to log in before you can comment on or make changes to this bug.